@import url('https://fonts.googleapis.com/css2?family=Exo+2:ital,wght@0,100..900;1,100..900&family=Outfit:wght@100..900&family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Syne:wght@400..800&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #f1efef;
  min-height: 100vh;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1.22rem;
  background: #dfdcdc;
}

.header-block,
.myName {
  font-family: "Outfit", sans-serif;
  font-weight: 800;
}

.myName {
  text-shadow: 0 2px 5px rgba(0, 0, 0, 0.13);
}

.hamburger-menu {
  cursor: pointer;
  padding: 1rem 1.15rem;
  border: 2px solid;
  border-radius: 12px;
  box-shadow: 3px 5px 0;
}

.hamburger-menu:hover {
  transform: translateX(2px) translateY(2px);
  box-shadow: 2px 3px 0;
}

.hamburger-menu:active {
  transform: translateX(4px) translateY(4px);
  box-shadow: 1px 1.5px 0;
}

.about-me {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 2rem;
  gap: 25px;
}

.sec-title {
  word-break: break-all;
  text-align: center;
  font-family: "Exo 2";
  font-size: 2.75rem;
}

.sec {
  background: #f1efef;
}

.about-me {
  padding: .5rem;
}

.about-me-para-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-top: 1.5rem;
  max-width: 575px;
  padding: 0.95rem;
  background-color: #f1efef;
  border: 4px solid #2e89ff;
}

.about-me-para-container p {
  font-family: "Prompt", sans-serif;
  text-align: justify;
}

.about-me-para-container {
  box-shadow: 0px 0px 0 #2e89ff;
  transition: 125ms ease-out;
}

.about-me-para-container:hover {
  transform: translateY(-2px) translateX(-3px);
  box-shadow: 6px 6px 0 #2673d8;
}

.highlhited-word {
  color: #2673d8;
  text-decoration: underline;
}

.programming-languages-sec {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 600px;
}

.languages-grid {
  width: 100%;
  margin-top: 1.55rem;
  display: grid;
  row-gap: 15px;
  column-gap: 10px;
  grid-template-columns: repeat(3, 1fr);
}

.language-card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;
  background: #2cd4f1;
  border: 4px solid #1ea3bb;
  border-radius: 8px;
  transition: 125ms ease-out;
}

.language-card:hover {
  transform: translateY(-2px) translateX(-3px);
  box-shadow: 4px 5px #0f5764;
}

.language-img {
  margin-top: 1.2rem;
  max-width: 50px;
}

.language-name {
  font-family: "Prompt", sans-serif;
  text-align: center;
  color: #f1efef;
  background: #0a0a0a;
  max-width: max-content;
  padding: .5rem;
  border-radius: 18px;
  margin-bottom: 1.05rem;
}

.socials-sec {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 600px;
  margin-bottom: 6rem;
}

.links-grid {
  width: 80%;
  margin-top: 1.5rem;
  display: grid;
  grid-template-columns: 1fr;
  gap: 15px;
}

.social-link {
  text-decoration: none;
  font-family: "Prompt", sans-serif;
  font-weight: 700;
  color: #000;
  background: #fff;
  font-size: 1.25rem;
  text-align: center;
  padding: 1.25rem;
  border-radius: 6px;
  border: 4px solid #000;
  transition: 105ms ease-out;
}

.social-link:hover {
  transform: scale(1.05);
}

.social-link:nth-child(1) {
  background: linear-gradient(
    -180deg,
    #653cfd, #242e9b 
  );
  border: 4px solid #2a1670;
  box-shadow: 4px 4px 0 #1e0f53;
}

.social-link:nth-child(2) {
  color: #FF0033;
  border: 4px solid #a80626;
  box-shadow: 4px 4px 0 #7a051d;
}

.social-link:nth-child(3) {
  background: #1ED760;
  border: 4px solid #0b8a37;
  box-shadow: 4px 4px 0 #086428;
}

@media (max-width: 650px) {
  .languages-grid {
    width: 80%;
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 375px) {
  .languages-grid {
    width: 80%;
    grid-template-columns: repeat(1, 1fr);
  }
  .sec-title {
    font-size: 2rem;
  }
}

@media (max-width: 250px) {
  .social-link {
    padding: .25rem;
  }
  header {
    flex-direction: column;
    gap: 15px;
  }
}

@media (max-width: 175px) {
  .about-me-para-container {
    padding: .05rem;
  }
}